Bug 24808 - Untranslatable strings in results.js
Summary: Untranslatable strings in results.js
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: I18N/L10N (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Bernardo Gonzalez Kriegel
QA Contact: Testopia
URL:
Keywords:
Depends on: 23885
Blocks:
  Show dependency treegraph
 
Reported: 2020-03-05 10:50 UTC by paxed
Modified: 2020-05-08 23:08 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00


Attachments
Bug 24808: enable translation on results.js (1.72 KB, patch)
2020-04-28 22:58 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 24808: enable translation on results.js (1.77 KB, patch)
2020-04-29 12:52 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 24808: enable translation on results.js (1.88 KB, patch)
2020-05-01 21:10 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description paxed 2020-03-05 10:50:29 UTC
Untranslatable "No cover image available" twice in koha-tmpl/intranet-tmpl/prog/js/pages/results.js:

$(this).parent().html('<span class="no-image">No cover image available</span>');
Comment 1 Bernardo Gonzalez Kriegel 2020-04-28 22:58:15 UTC
Created attachment 103891 [details] [review]
Bug 24808: enable translation on results.js

String sorrounded by "__()"

To test:
1) create translation files for a language
(cd misc/translator; ./translate create xx-YY)

2) Check string
egrep -l "No cover image available" misc/translator/po/xx-YY-*
present in 2 files, opac-bootstrap and staf-prog

3) Apply patch

4) Create files again
(cd misc/translator; rm -f po/xx-YY*; ./translate create xx-YY)

5) Check again
egrep -l "No cover image available" misc/translator/po/xx-YY-*
present in 3 files, new in messages-js
Comment 2 Owen Leonard 2020-04-29 12:52:32 UTC
Created attachment 103932 [details] [review]
Bug 24808: enable translation on results.js

String sorrounded by "__()"

To test:
1) create translation files for a language
(cd misc/translator; ./translate create xx-YY)

2) Check string
egrep -l "No cover image available" misc/translator/po/xx-YY-*
present in 2 files, opac-bootstrap and staf-prog

3) Apply patch

4) Create files again
(cd misc/translator; rm -f po/xx-YY*; ./translate create xx-YY)

5) Check again
egrep -l "No cover image available" misc/translator/po/xx-YY-*
present in 3 files, new in messages-js

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Katrin Fischer 2020-05-01 21:10:11 UTC
Created attachment 104141 [details] [review]
Bug 24808: enable translation on results.js

String sorrounded by "__()"

To test:
1) create translation files for a language
(cd misc/translator; ./translate create xx-YY)

2) Check string
egrep -l "No cover image available" misc/translator/po/xx-YY-*
present in 2 files, opac-bootstrap and staf-prog

3) Apply patch

4) Create files again
(cd misc/translator; rm -f po/xx-YY*; ./translate create xx-YY)

5) Check again
egrep -l "No cover image available" misc/translator/po/xx-YY-*
present in 3 files, new in messages-js

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Martin Renvoize 2020-05-04 07:42:18 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 5 Joy Nelson 2020-05-08 23:08:24 UTC
koha-tmpl/intranet-tmpl/prog/js/pages/results.js
does not exist in 19.11  patch not applicable to 19.11  not backported